package com.sdtool.common.tool;

/**
 * Created by jlutt on 2021-03-23
 *
 * @author jlutt
 */
public class GroovyVariableItem {

    private String variableName;

    private String variableId;

    private String variableValue;

    private int commentLine;

    private int defineLine;

    private String orginDefine;

    //参数类型，0参数 1对应表格
    private int variableKind;

    private String columnNames;

    public String getVariableName() {
        return variableName;
    }

    public void setVariableName(String variableName) {
        this.variableName = variableName;
    }

    public String getVariableId() {
        return variableId;
    }

    public void setVariableId(String variableId) {
        this.variableId = variableId;
    }

    public int getCommentLine() {
        return commentLine;
    }

    public void setCommentLine(int commentLine) {
        this.commentLine = commentLine;
    }

    public int getDefineLine() {
        return defineLine;
    }

    public void setDefineLine(int defineLine) {
        this.defineLine = defineLine;
    }

    public String getOrginDefine() {
        return orginDefine;
    }

    public void setOrginDefine(String orginDefine) {
        this.orginDefine = orginDefine;
    }

    public String getVariableValue() {
        return variableValue;
    }

    public void setVariableValue(String variableValue) {
        this.variableValue = variableValue;
    }

    public int getVariableKind() {
        return variableKind;
    }

    public void setVariableKind(int variableKind) {
        this.variableKind = variableKind;
    }

    public String getColumnNames() {
        return columnNames;
    }

    public void setColumnNames(String columnNames) {
        this.columnNames = columnNames;
    }

    @Override
    public String toString() {
        return "GroovyVariableItem{" +
                "variableName='" + variableName + '\'' +
                ", variableId='" + variableId + '\'' +
                ", variableValue='" + variableValue + '\'' +
                ", commentLine=" + commentLine +
                ", defineLine=" + defineLine +
                ", orginDefine='" + orginDefine + '\'' +
                ", variableKind='" + variableKind + '\'' +
                ", columnNames='" + columnNames + '\'' +
                '}';
    }
}
